     	SUBROUTINE RFULL(START,END,STEP,MREC,LREC,NPT)
C===============================================================
C  PROGRAMMER:  S.I. ZDZIESZYNSKI
C		ALFRED UNIVERSITY   JUL-1993
C
C	THIS ROUTINE PREPARES DATA FROM MULTIPLE RANGES RUNS 
C       OF  DIFFRAC-5000 RAW DATA FILE TO WRITE ALL RANGES INTO
C	ONE FILE.
C===============================================================
     	INCLUDE 'FILECONV.CBS'
        INTEGER*4 MREC(20),LREC(20),NPT(20)
        REAL*4 START(20),END(20),STEP(20),CTIME(20),NOPTS(20)
     &         ,MXPTS(20)

        K=1
        FIRST=1
        LAST=12
        MXPTS(0)=0
        NOPTS(0)=0
C
C
        DO I=1,NRNG
        NOPTS(I)=INT((START(I+1)-END(I))/STEP(I)+0.5)
        MXPTS(I)=NPT(I)+NOPTS(I-1)+MXPTS(I-1)+1-I
       
        DO J=MREC(I),MREC(I)+LREC(I)
        READ(IINP,REC=J)(YOBS(K),K=FIRST,LAST)

        IF(LAST.EQ.MXPTS(I)) THEN
        DO K=MXPTS(I)+1,MXPTS(I)+NOPTS(I)
        YOBS(K)=0
        FIRST=K
        LAST=K+11
        ENDDO
        GO TO 115
        ENDIF 

        FIRST=FIRST+12
        LAST=LAST+12

        IF(MXPTS(I)-LAST.LT.0) LAST=MXPTS(I)
       

        ENDDO
115     ENDDO

        BANG(1)=START(1)
        BANG(2)=END(NRNG)
        NPTS=MXPTS(NRNG)+1
        IRPR(6,2)=INT(NPTS/12+0.5)

	RETURN
    	END
